.doors {
  position: fixed;
  overflow: hidden;
  top: 0;
  left: 0;
  z-index: 12;
  display: block;
  width: 100%;
  height: 100%;

  &.showed {
    .doors__wrap {
      opacity: 1;
    }
  }

  &__wrap {
    @include absFull;
    z-index: 1;
    opacity: 0;
    transition: opacity 0.5s ease 0s;
  }

  &__bg {
    @include absCenter;

    width: get-vw(746px);
    height: get-vw(765px);
    z-index: 0;
    //transition: opacity 0.5s ease 2s;
    transition: transform 1s $cubic 1s, opacity 0.5s ease 2s;

    &__ver,
    &__hor {
      &::before,
      &::after {
        content: "";
        position: absolute;
        display: block;
        margin: auto;
        background: #000;
      }
    }
    &__ver {
      &::before,
      &::after {
        width: 100vw;
        height: 100vh;
        top: -50vh;
        bottom: -50vh;
      }
    }
    &__hor {
      &::before,
      &::after {
        width: 100vw;
        height: 100vh;
        right: -50vw;
        left: -50vw;
      }
    }

    &__ver::before {
      left: 100%;
    }
    &__ver::after {
      right: 100%;
    }
    &__hor::before {
      top: 100%;
    }
    &__hor::after {
      bottom: 100%;
    }
  }

  &__logo {
    position: absolute;
    top: get-vw(63px,1920);
    right: 0;
    left: 0;
    z-index: 2;
    display: block;
    width: get-vw(201px);
    height: get-vw(78px);
    margin: auto;
    background: url("../images/door/logo.png") 50% 50% no-repeat;
    background-size: contain;
    transition: opacity 0.5s ease 1.5s;
  }

  &__inner {
    @include absCenter;

    z-index: 1;
    width: get-vw(746px);
    height: get-vw(765px);
    perspective: 600px;
    transition: transform 1s $cubic 1s, opacity 0.5s ease 2s;

    &::before {
      content: "";
      position: absolute;
      top: -100px;
      right: -100px;
      bottom: -100px;
      left: -100px;
      z-index: 4;
      display: block;
      width: get-vw(783px);
      height: get-vw(783px);
      margin: auto;
      background: url("../images/door/border.png") 50% 50% no-repeat;
      background-size: contain;
    }

    &::after {
      @include absCenter;
      z-index: 1;
      content: "";
      background: #000;
      opacity: 1;
      transition: opacity 0.8s ease 0.2s;
    }
  }

  &__key {
    @include absCenter(flex);
    z-index: 3;
    justify-content: center;
    align-items: center;
    width: get-vw(176px);
    height: get-vw(176px);
    border-radius: 50%;
    background: url("../images/door/key.png") 50% 100% no-repeat;
    background-size: contain;
    transition: transform 0.6s ease-in-out, opacity 0.4s ease 0.6s;
  }

  &__left,
  &__right {
    position: absolute;
    top: 0;
    bottom: 0;
    z-index: 2;
    display: block;
    width: 50%;
    margin: auto;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: contain;
    transition: transform 1s $cubic 1s;
  }

  &__left {
    left: 0;
    background-image: url("../images/door/left.png");
    transform-origin: 0 50%;
  }

  &__right {
    right: 0;
    background-image: url("../images/door/right.png");
    transform-origin: 100% 50%;
  }
}
